KAboutWidget Class Reference

`#include <kaboutdialog.h>`

Inherits QWidget.

## Signals

void | sendEmail (const QString &name, const QString &email)
void | openURL (const QString &url)

## Public Member Functions

| KAboutWidget (QWidget *parent=0, const char *name=0)
void | adjust ()
void | setLogo (const QPixmap &)
void | setAuthor (const QString &name, const QString &email, const QString &url, const QString &work)
void | setMaintainer (const QString &name, const QString &email, const QString &url, const QString &work)
void | addContributor (const QString &name, const QString &email, const QString &url, const QString &work)
void | setVersion (const QString &name)

## Protected Slots

void | sendEmailSlot (const QString &name, const QString &email)
void | openURLSlot (const QString &url)

## Protected Member Functions

void | resizeEvent (QResizeEvent *)

## Protected Attributes

QLabel * | version
QLabel * | cont
QLabel * | logo
KAboutContributor * | author
KAboutContributor * | maintainer
bool | showMaintainer
QPtrList< KAboutContributor > | contributors

## Detailed Description

KAboutWidget is the main widget for KAboutDialog.

It has a minimum size set.

Definition at line 150 of file kaboutdialog.h.

## Constructor & Destructor Documentation

KAboutWidget::KAboutWidget | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

The Qt constructor.

Definition at line 1308 of file kaboutdialog.cpp.

## Member Function Documentation

void KAboutWidget::addContributor | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |  |

Shows this person as one of the major contributors.

Definition at line 1431 of file kaboutdialog.cpp.

void KAboutWidget::adjust | ( |  | ) |

Adjust the minimum size (after setting the properties of the image and the labels.

Definition at line 1344 of file kaboutdialog.cpp.

void KAboutWidget::openURL | ( | const QString & | url | ) |

signal

An URL has been clicked.

void KAboutWidget::openURLSlot | ( | const QString & | url | ) |

protected slot

Catches the clicked URLs.

Definition at line 1400 of file kaboutdialog.cpp.

void KAboutWidget::resizeEvent | ( | QResizeEvent * |  | ) |

protected

The resize event.

Definition at line 1457 of file kaboutdialog.cpp.

void KAboutWidget::sendEmail | ( | const QString & | name,
|  | const QString & | email
| ) |  |

signal

An email address has been selected by the user.

void KAboutWidget::sendEmailSlot | ( | const QString & | name,
|  | const QString & | email
| ) |  |

protected slot

Catches the signals from the contributors elements.

Definition at line 1395 of file kaboutdialog.cpp.

void KAboutWidget::setAuthor | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |  |

Sets the author's name and email address.

Definition at line 1406 of file kaboutdialog.cpp.

void KAboutWidget::setLogo | ( | const QPixmap & | i | ) |

Sets the image as the application logo.

Definition at line 1388 of file kaboutdialog.cpp.

void KAboutWidget::setMaintainer | ( | const QString & | name,
|  | const QString & | email,
|  | const QString & | url,
|  | const QString & | work
| ) |  |

Sets the maintainers name and email address.

Definition at line 1418 of file kaboutdialog.cpp.

void KAboutWidget::setVersion | ( | const QString & | name | ) |

Sets the text describing the version.

Definition at line 1449 of file kaboutdialog.cpp.

## Member Data Documentation

KAboutContributor* KAboutWidget::author

protected

The application developer.

Definition at line 232 of file kaboutdialog.h.

QLabel* KAboutWidget::cont

protected

The label showing the text "Other contributors:".

Definition at line 224 of file kaboutdialog.h.

QPtrList<KAboutContributor> KAboutWidget::contributors

protected

A set of people who contributed to the application.

Definition at line 244 of file kaboutdialog.h.

QLabel* KAboutWidget::logo

protected

The frame showing the logo.

Definition at line 228 of file kaboutdialog.h.

KAboutContributor* KAboutWidget::maintainer

protected

The application maintainer.

Definition at line 236 of file kaboutdialog.h.

bool KAboutWidget::showMaintainer

protected

Show the maintainer?

Definition at line 240 of file kaboutdialog.h.

QLabel* KAboutWidget::version

protected

The label showing the program version.

Definition at line 220 of file kaboutdialog.h.

The documentation for this class was generated from the following files:

- kaboutdialog.h
- kaboutdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys